<?php

namespace App\Policies;

use App\Models\AboutUs;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class AboutUsPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create aboutus', 'edit aboutus', 'view aboutus', 'delete aboutus'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, AboutUs $aboutUs): bool
    {
        return $user->hasPermissionTo('view aboutus');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create aboutus');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, AboutUs $aboutUs): bool
    {
        return $user->hasPermissionTo('edit aboutus');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, AboutUs $aboutUs): bool
    {
        return $user->hasPermissionTo('delete aboutus');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, AboutUs $aboutUs): bool
    {
        return $user->hasPermissionTo('restore aboutus');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, AboutUs $aboutUs): bool
    {
        return $user->hasPermissionTo('force delete aboutus');
    }
}
